<?php
defined('BASEPATH') or exit('No direct script access allowed');

class estudiantes_model extends CI_Model
{

    public function getestudiantes()
    {
        $this->db->select("l.*, t.denominacion as tipousuario");
        $this->db->join("tipousuario t", "t.id = l.idtipousuario");
        $resultados = $this->db->get("estudiantes l");
        if ($resultados->num_rows() > 0) {
            return $resultados->result();
        } else {
            return false;
        }
    }

    public function getestudiante($id)
    {

        $this->db->select("l.*,t.denominacion as tipousuario");
        $this->db->join("tipousuario t", "t.id = l.idtipousuario");
        $this->db->where("l.idestudiante", $id);
        $resultados = $this->db->get("estudiantes l");
        if ($resultados->num_rows() > 0) {
            return $resultados->row();
        } else {
            return false;
        }

    }

    public function guardar($datos)
    {
        return $this->db->insert("estudiantes", $datos);
    }

    public function update($id, $data)
    {
        $this->db->where("idestudiante", $id);
        return $this->db->update("estudiantes", $data);
    }

    public function delete($id)
    {
        $this->db->where("idestudiante", $id);
        return $this->db->delete("estudiantes");
    }

    public function comprobarCedula($Cedula)
    {
        $this->db->select("*");
        $this->db->where('Cedula', $Cedula);
        $resultados = $this->db->get('estudiantes');
        if ($resultados->num_rows() > 0) {
            return $resultados->row();
        } else {
            return false;
        }
    }
}
